package view;
import javax.swing.JLabel;
import javax.swing.JCheckBox;
import javax.swing.JPanel;
import javax.swing.JTextField;
import java.util.List;
import java.awt.Canvas;
import javax.swing.JTabbedPane;


/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author Emanuelle Passos
 */
public class Occuppational_areaFormPanel extends javax.swing.JPanel {

    /**
     * Creates new form Occuppational_areaFormPanel
     */
    public Occuppational_areaFormPanel() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">                          
    private void initComponents() {
        
        registrationFormPanel = new RegistrationFormPanel();
        recordFormPanel = new RecordFormPanel();
        financialExpensesFormPanel = new FinancialExpensesFormPanel();
        
        jTabbedPane3 = new javax.swing.JTabbedPane();
        jPanel6 = new javax.swing.JPanel();
        cbNutrition = new javax.swing.JCheckBox();
        jLabel2 = new javax.swing.JLabel();
        cbPharmacy = new javax.swing.JCheckBox();
        cbOther_health_area = new javax.swing.JCheckBox();
        cbSecretary = new javax.swing.JCheckBox();
        cbExecutiveMaintenance = new javax.swing.JCheckBox();
        cbExecutiveNutrition = new javax.swing.JCheckBox();
        cbExecutivePharmacy = new javax.swing.JCheckBox();
        jLabel1 = new javax.swing.JLabel();
        cbExecutiveInformationTecnology = new javax.swing.JCheckBox();
        cbExecutiveCfo = new javax.swing.JCheckBox();
        cbCeo = new javax.swing.JCheckBox();
        cbExecutiveOthers = new javax.swing.JCheckBox();
        cbExecutiveHr = new javax.swing.JCheckBox();

        cbNutrition.setText("Nutrition");
        cbNutrition.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cbNutritionActionPerformed(evt);
            }
        });

        jLabel2.setText("Select your occupational area below: ");

        cbPharmacy.setText("Pharmacy");
        cbPharmacy.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cbPharmacyActionPerformed(evt);
            }
        });

        cbOther_health_area.setText("Other occupation of health area");
        cbOther_health_area.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cbOther_health_areaActionPerformed(evt);
            }
        });

        cbSecretary.setText("Secretary");
        cbSecretary.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cbSecretaryActionPerformed(evt);
            }
        });

        cbExecutiveMaintenance.setText("Maintenance");
        cbExecutiveMaintenance.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cbExecutiveMaintenanceActionPerformed(evt);
            }
        });

        cbExecutiveNutrition.setText("Nutrition");
        cbExecutiveNutrition.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cbExecutiveNutritionActionPerformed(evt);
            }
        });

        cbExecutivePharmacy.setText("Pharmacy");
        cbExecutivePharmacy.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cbExecutivePharmacyActionPerformed(evt);
            }
        });

        jLabel1.setText("Executive");

        cbExecutiveInformationTecnology.setText("Information Tecnology");
        cbExecutiveInformationTecnology.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cbExecutiveInformationTecnologyActionPerformed(evt);
            }
        });

        cbExecutiveCfo.setText("Chief Financial Officer (CFO)");
        cbExecutiveCfo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cbExecutiveCfoActionPerformed(evt);
            }
        });

        cbCeo.setText("Chief Executive Officer (CEO)");
        cbCeo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cbCeoActionPerformed(evt);
            }
        });

        cbExecutiveOthers.setText("Others");
        cbExecutiveOthers.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cbExecutiveOthersActionPerformed(evt);
            }
        });

        cbExecutiveHr.setText("Human Resources (HR)");
        cbExecutiveHr.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cbExecutiveHrActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel6Layout = new javax.swing.GroupLayout(jPanel6);
        jPanel6.setLayout(jPanel6Layout);
        jPanel6Layout.setHorizontalGroup(
            jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel6Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel6Layout.createSequentialGroup()
                        .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(cbPharmacy)
                            .addComponent(jLabel2)
                            .addGroup(jPanel6Layout.createSequentialGroup()
                                .addGap(31, 31, 31)
                                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(cbExecutivePharmacy)
                                    .addComponent(cbExecutiveOthers)
                                    .addComponent(cbExecutiveNutrition)
                                    .addComponent(cbExecutiveMaintenance)
                                    .addComponent(cbExecutiveInformationTecnology)
                                    .addComponent(cbExecutiveHr)
                                    .addComponent(cbExecutiveCfo))))
                        .addContainerGap(62, Short.MAX_VALUE))
                    .addGroup(jPanel6Layout.createSequentialGroup()
                        .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(cbOther_health_area)
                            .addComponent(cbNutrition)
                            .addComponent(jLabel1)
                            .addComponent(cbCeo)
                            .addComponent(cbSecretary))
                        .addGap(0, 0, Short.MAX_VALUE))))
        );
        jPanel6Layout.setVerticalGroup(
            jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel6Layout.createSequentialGroup()
                .addGap(18, 18, 18)
                .addComponent(jLabel2)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(cbCeo)
                .addGap(1, 1, 1)
                .addComponent(cbNutrition)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(cbPharmacy)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(cbSecretary)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(cbOther_health_area)
                .addGap(18, 18, 18)
                .addComponent(jLabel1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(cbExecutiveCfo)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(cbExecutiveHr)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(cbExecutiveInformationTecnology)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(cbExecutiveMaintenance)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(cbExecutiveNutrition)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(cbExecutivePharmacy)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(cbExecutiveOthers)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jTabbedPane3.addTab("Occupational area", jPanel6);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jTabbedPane3)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jTabbedPane3)
        );
    }// </editor-fold>                        

    
    
    private void cbNutritionActionPerformed(java.awt.event.ActionEvent evt) {                                            
        recordFormPanel.show();
    }                                           

    private void cbPharmacyActionPerformed(java.awt.event.ActionEvent evt) {                                           
        recordFormPanel.show();
    }                                          

    private void cbSecretaryActionPerformed(java.awt.event.ActionEvent evt) {
        registrationFormPanel.show();
        recordFormPanel.show();
        financialExpensesFormPanel.show();
    }                                           

    private void cbExecutiveNutritionActionPerformed(java.awt.event.ActionEvent evt) {                                                     
        financialExpensesFormPanel.show();
        //almoxarifado
    }                                                    

    private void cbExecutiveOthersActionPerformed(java.awt.event.ActionEvent evt) {                                                  
        financialExpensesFormPanel.show();
    }                                                 

    private void cbCeoActionPerformed(java.awt.event.ActionEvent evt) {                                      
        registrationFormPanel.show();
        financialExpensesFormPanel.show();
        recordFormPanel.show();
    }                                     

    private void cbOther_health_areaActionPerformed(java.awt.event.ActionEvent evt) {                                                    
        recordFormPanel.show();
    }                                                   

    private void cbExecutiveCfoActionPerformed(java.awt.event.ActionEvent evt) {                                               
        financialExpensesFormPanel.show();
    }                                              

    private void cbExecutiveHrActionPerformed(java.awt.event.ActionEvent evt) {                                              
        financialExpensesFormPanel.show();
    }                                             

    private void cbExecutiveInformationTecnologyActionPerformed(java.awt.event.ActionEvent evt) {                                                                
        financialExpensesFormPanel.show();
    }                                                               

    private void cbExecutiveMaintenanceActionPerformed(java.awt.event.ActionEvent evt) {                                                       
        financialExpensesFormPanel.show();
        //almoxarifado
    }                                                      

    private void cbExecutivePharmacyActionPerformed(java.awt.event.ActionEvent evt) {                                                    
        registrationFormPanel.show();
        //almoxarifado
    }                                                   


    // Variables declaration - do not modify  
    private RegistrationFormPanel registrationFormPanel;
    private RecordFormPanel recordFormPanel;
    private FinancialExpensesFormPanel financialExpensesFormPanel;
    
    private javax.swing.JCheckBox cbCeo;
    private javax.swing.JCheckBox cbExecutiveCfo;
    private javax.swing.JCheckBox cbExecutiveHr;
    private javax.swing.JCheckBox cbExecutiveInformationTecnology;
    private javax.swing.JCheckBox cbExecutiveMaintenance;
    private javax.swing.JCheckBox cbExecutiveNutrition;
    private javax.swing.JCheckBox cbExecutiveOthers;
    private javax.swing.JCheckBox cbExecutivePharmacy;
    private javax.swing.JCheckBox cbNutrition;
    private javax.swing.JCheckBox cbOther_health_area;
    private javax.swing.JCheckBox cbPharmacy;
    private javax.swing.JCheckBox cbSecretary;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JPanel jPanel6;
    private javax.swing.JTabbedPane jTabbedPane3;
    // End of variables declaration                   

    //Start GetterSetterExtension Source Code
    /**GET Method Propertie registrationFormPanel*/
    public RegistrationFormPanel getRegistrationFormPanel(){
        return this.registrationFormPanel;
    }//end method getRegistrationFormPanel

    /**SET Method Propertie registrationFormPanel*/
    public void setRegistrationFormPanel(RegistrationFormPanel registrationFormPanel){
        this.registrationFormPanel = registrationFormPanel;
    }//end method setRegistrationFormPanel

    /**GET Method Propertie cbCeo*/
    public JCheckBox getCbCeo(){
        return this.cbCeo;
    }//end method getCbCeo

    /**SET Method Propertie cbCeo*/
    public void setCbCeo(JCheckBox cbCeo){
        this.cbCeo = cbCeo;
    }//end method setCbCeo

    /**GET Method Propertie cbExecutiveCfo*/
    public JCheckBox getCbExecutiveCfo(){
        return this.cbExecutiveCfo;
    }//end method getCbExecutiveCfo

    /**SET Method Propertie cbExecutiveCfo*/
    public void setCbExecutiveCfo(JCheckBox cbExecutiveCfo){
        this.cbExecutiveCfo = cbExecutiveCfo;
    }//end method setCbExecutiveCfo

    /**GET Method Propertie cbExecutiveHr*/
    public JCheckBox getCbExecutiveHr(){
        return this.cbExecutiveHr;
    }//end method getCbExecutiveHr

    /**SET Method Propertie cbExecutiveHr*/
    public void setCbExecutiveHr(JCheckBox cbExecutiveHr){
        this.cbExecutiveHr = cbExecutiveHr;
    }//end method setCbExecutiveHr

    /**GET Method Propertie cbExecutiveInformationTecnology*/
    public JCheckBox getCbExecutiveInformationTecnology(){
        return this.cbExecutiveInformationTecnology;
    }//end method getCbExecutiveInformationTecnology

    /**SET Method Propertie cbExecutiveInformationTecnology*/
    public void setCbExecutiveInformationTecnology(JCheckBox cbExecutiveInformationTecnology){
        this.cbExecutiveInformationTecnology = cbExecutiveInformationTecnology;
    }//end method setCbExecutiveInformationTecnology

    /**GET Method Propertie cbExecutiveMaintenance*/
    public JCheckBox getCbExecutiveMaintenance(){
        return this.cbExecutiveMaintenance;
    }//end method getCbExecutiveMaintenance

    /**SET Method Propertie cbExecutiveMaintenance*/
    public void setCbExecutiveMaintenance(JCheckBox cbExecutiveMaintenance){
        this.cbExecutiveMaintenance = cbExecutiveMaintenance;
    }//end method setCbExecutiveMaintenance

    /**GET Method Propertie cbExecutiveNutrition*/
    public JCheckBox getCbExecutiveNutrition(){
        return this.cbExecutiveNutrition;
    }//end method getCbExecutiveNutrition

    /**SET Method Propertie cbExecutiveNutrition*/
    public void setCbExecutiveNutrition(JCheckBox cbExecutiveNutrition){
        this.cbExecutiveNutrition = cbExecutiveNutrition;
    }//end method setCbExecutiveNutrition

    /**GET Method Propertie cbExecutiveOthers*/
    public JCheckBox getCbExecutiveOthers(){
        return this.cbExecutiveOthers;
    }//end method getCbExecutiveOthers

    /**SET Method Propertie cbExecutiveOthers*/
    public void setCbExecutiveOthers(JCheckBox cbExecutiveOthers){
        this.cbExecutiveOthers = cbExecutiveOthers;
    }//end method setCbExecutiveOthers

    /**GET Method Propertie cbExecutivePharmacy*/
    public JCheckBox getCbExecutivePharmacy(){
        return this.cbExecutivePharmacy;
    }//end method getCbExecutivePharmacy

    /**SET Method Propertie cbExecutivePharmacy*/
    public void setCbExecutivePharmacy(JCheckBox cbExecutivePharmacy){
        this.cbExecutivePharmacy = cbExecutivePharmacy;
    }//end method setCbExecutivePharmacy

    /**GET Method Propertie cbNutrition*/
    public JCheckBox getCbNutrition(){
        return this.cbNutrition;
    }//end method getCbNutrition

    /**SET Method Propertie cbNutrition*/
    public void setCbNutrition(JCheckBox cbNutrition){
        this.cbNutrition = cbNutrition;
    }//end method setCbNutrition

    /**GET Method Propertie cbOther_health_area*/
    public JCheckBox getCbOther_health_area(){
        return this.cbOther_health_area;
    }//end method getCbOther_health_area

    /**SET Method Propertie cbOther_health_area*/
    public void setCbOther_health_area(JCheckBox cbOther_health_area){
        this.cbOther_health_area = cbOther_health_area;
    }//end method setCbOther_health_area

    /**GET Method Propertie cbPharmacy*/
    public JCheckBox getCbPharmacy(){
        return this.cbPharmacy;
    }//end method getCbPharmacy

    /**SET Method Propertie cbPharmacy*/
    public void setCbPharmacy(JCheckBox cbPharmacy){
        this.cbPharmacy = cbPharmacy;
    }//end method setCbPharmacy

    /**GET Method Propertie cbSecretary*/
    public JCheckBox getCbSecretary(){
        return this.cbSecretary;
    }//end method getCbSecretary

    /**SET Method Propertie cbSecretary*/
    public void setCbSecretary(JCheckBox cbSecretary){
        this.cbSecretary = cbSecretary;
    }//end method setCbSecretary

    /**GET Method Propertie jLabel1*/
    public JLabel getJLabel1(){
        return this.jLabel1;
    }//end method getJLabel1

    /**SET Method Propertie jLabel1*/
    public void setJLabel1(JLabel jLabel1){
        this.jLabel1 = jLabel1;
    }//end method setJLabel1

    /**GET Method Propertie jLabel2*/
    public JLabel getJLabel2(){
        return this.jLabel2;
    }//end method getJLabel2

    /**SET Method Propertie jLabel2*/
    public void setJLabel2(JLabel jLabel2){
        this.jLabel2 = jLabel2;
    }//end method setJLabel2

    /**GET Method Propertie jPanel6*/
    public JPanel getJPanel6(){
        return this.jPanel6;
    }//end method getJPanel6

    /**SET Method Propertie jPanel6*/
    public void setJPanel6(JPanel jPanel6){
        this.jPanel6 = jPanel6;
    }//end method setJPanel6

    /**GET Method Propertie jTabbedPane3*/
    public JTabbedPane getJTabbedPane3(){
        return this.jTabbedPane3;
    }//end method getJTabbedPane3

    /**SET Method Propertie jTabbedPane3*/
    public void setJTabbedPane3(JTabbedPane jTabbedPane3){
        this.jTabbedPane3 = jTabbedPane3;
    }//end method setJTabbedPane3

    //End GetterSetterExtension Source Code
//!

    //Start GetterSetterExtension Source Code
    /**GET Method Propertie recordFormPanel*/
    public RecordFormPanel getRecordFormPanel(){
        return this.recordFormPanel;
    }//end method getRecordFormPanel

    /**SET Method Propertie recordFormPanel*/
    public void setRecordFormPanel(RecordFormPanel recordFormPanel){
        this.recordFormPanel = recordFormPanel;
    }//end method setRecordFormPanel

    //End GetterSetterExtension Source Code
//!

    //Start GetterSetterExtension Source Code
    /**GET Method Propertie financialExpensesFormPanel*/
    public FinancialExpensesFormPanel getFinancialExpensesFormPanel(){
        return this.financialExpensesFormPanel;
    }//end method getFinancialExpensesFormPanel

    /**SET Method Propertie financialExpensesFormPanel*/
    public void setFinancialExpensesFormPanel(FinancialExpensesFormPanel financialExpensesFormPanel){
        this.financialExpensesFormPanel = financialExpensesFormPanel;
    }//end method setFinancialExpensesFormPanel

    //End GetterSetterExtension Source Code
//!
}
